# TaxSessionsPublicController_Delete

Deletes the highest sequence tax session for the specified HeaderId.

`DELETE /api/v1/TaxSessions/Delete`

**API:** Excise Platform API
**Tag:** Tax Sessions
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/Tax%20Sessions/TaxSessionsPublicController_Delete/

## Description

Queues a scheduled task to delete the highest sequence tax session for the specified HeaderId.
Deletion is not permitted if the tax session is filed. The session ownership must match the
current user's back-end indicator. Locked sessions may still be deleted.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `headerId` | integer | query | Yes | The header id of the tax session to delete. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | The tax session deletion task was queued successfully. |  |
| 400 | The session is filed, ownership mismatch, or no sequences exist. |  |
| 401 | Authentication credentials are incorrect. |  |

## Example Request

```bash
curl -X DELETE "https://excise.avalara.com/api/v1/TaxSessions/Delete" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```